Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender.routing
Class Route

    java.lang.Object
      org.apache.logging.log4j.core.appender.routing.Route

    @Plugin(name="Route",
            category="Core",
            printObject=true,
            deferChildren=true)
    public final class Route

extends Object

A Route to an appender.

Method Summary
`static Route` | `createRoute(String appenderRef, String key, Node node)` Create the Route.
`String` | `getAppenderRef()` Returns the appender reference.
`String` | `getKey()` Returns the key for this Route.
`Node` | `getNode()` Returns the Dynamic Appender Node.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNode

    public Node getNode()

  Returns the Dynamic Appender Node.

  Returns:
    The Node.

### getAppenderRef

    public String getAppenderRef()

  Returns the appender reference.

  Returns:
    The Appender reference.

### getKey

    public String getKey()

  Returns the key for this Route.

  Returns:
    the key for this Route.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createRoute

    @PluginFactory
    public static Route createRoute(@PluginAttribute(value="ref")
                                                  String appenderRef,
                                                  @PluginAttribute(value="key")
                                                  String key,
                                                  @PluginNode
                                                  Node node)

  Create the Route.

  Parameters:
    `appenderRef` - The Appender reference.
    `key` - The key.
    `node` - The Node.
  Returns:
    A Route.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.